- Qt 6.4
- Qt 3D
- QML Types
- Qt3D.Render
- PolygonOffset
- Qt 6.4.2 Reference Documentation

# PolygonOffset QML Type

The PolygonOffset type sets the scale and steps to calculate depth values for polygon offsets. More...

Import Statement: | import Qt3D.Render 2.4
Since: | Qt 5.7
Instantiates: | QPolygonOffset
Inherits: | RenderState

- List of all members, including inherited members

## Properties

- depthSteps : real
- scaleFactor : real

## Detailed Description

A PolygonOffset type adds an offset to the fragment depth value prior to depth test and depth write. The offset can be used to avoid z-fighting when rendering polygons with very close depth values such as decals.

## Property Documentation

depthSteps : real

Holds the units that create constant depth offsets. Default value is 0.

scaleFactor : real

Holds the scale factor used to create a variable depth offset for each polygon. Default value is 0.